      subroutine recovinfo(file)
      IMPLICIT REAL*8(A-H,O-X,Z),logical*1(y)
      character*80 aa
      character*(*) file
 1000 format(2a)
      print*,' '
      print*,'The Atomic Orbital Part of the '
      print*,'File Info is recovered from a preceeding calculation'
      print*,' '
      open(2,file='info.tmp',status='unknown')
      write(2,1000) '============================================='
      write(2,1000) 'File: ',file(1:len_trim(file))
      write(2,1000) 'created by molcost  (recovered)' 
      write(2,1000) 'date: '
      write(2,1000) '============================================='
      write(2,1000) ' '
      write(2,1000) ' The AO part is recovered from'
      write(2,1000) ' '
      do k=1,5
         read(8,1000) aa
         write(2,1000) aa
      enddo
      yww=.false.
      do 
         read(8,1000) aa
         if(aa(2:9).eq.'&cost_AO') yww=.true.
         if(yww) write(2,1000) aa
         if(aa(2:9).eq.'/       ') exit
      enddo
      rewind 8
      rewind 2
      do 
         read(2,1000,end=1) aa
         write(8,1000) aa
      enddo
 1    continue
      close(2,status='delete')
      close(8)
      open(2,file=file,status='old')
      return
      end
       
